<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: MetaVrpnObject.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_meta_vrpn_object_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">MetaVrpnObject.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_meta_vrpn_object_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef METAVRPNOBJECT_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define METAVRPNOBJECT_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_vrpn_object_8h.html">VrpnObject.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_vrpn_client_8h.html">VrpnClient.h</a>&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="io__data_8h.html">io_data.h</a>&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_vector3_d_8h.html">Vector3D.h</a>&gt;</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;                <span class="keyword">class </span>DataPlot1D;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;                <span class="keyword">class </span>DataPlot2D;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;                <span class="keyword">class </span>Tab;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        }</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        <span class="keyword">namespace </span>filter {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;                <span class="keyword">class </span>EulerDerivative;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;                <span class="keyword">class </span>LowPassFilter;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        }</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;}</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">namespace </span>meta {</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="classflair_1_1meta_1_1_meta_vrpn_object.html">   42</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1meta_1_1_meta_vrpn_object.html">MetaVrpnObject</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1sensor_1_1_vrpn_object.html">sensor::VrpnObject</a> {</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <a class="code" href="classflair_1_1meta_1_1_meta_vrpn_object.html">MetaVrpnObject</a>(std::string name,<a class="code" href="classflair_1_1sensor_1_1_vrpn_client.html">sensor::VrpnClient</a> *client=<a class="code" href="namespaceflair_1_1sensor.html#a96c531aa24e6dd95ac9dc400d8e52b2c">sensor::GetVrpnClient</a>());</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  <a class="code" href="classflair_1_1meta_1_1_meta_vrpn_object.html">MetaVrpnObject</a>(std::string name,uint8_t <span class="keywordtype">id</span>,<a class="code" href="classflair_1_1sensor_1_1_vrpn_client.html">sensor::VrpnClient</a> *client=<a class="code" href="namespaceflair_1_1sensor.html#a96c531aa24e6dd95ac9dc400d8e52b2c">sensor::GetVrpnClient</a>());</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;  ~<a class="code" href="classflair_1_1meta_1_1_meta_vrpn_object.html">MetaVrpnObject</a>();</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *VxPlot(<span class="keywordtype">void</span>) <span class="keyword">const</span>; <span class="comment">// 1,0</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *VyPlot(<span class="keywordtype">void</span>) <span class="keyword">const</span>; <span class="comment">// 1,1</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *VzPlot(<span class="keywordtype">void</span>) <span class="keyword">const</span>; <span class="comment">// 1,2</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot2_d.html">gui::DataPlot2D</a> *XyPlot(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  <span class="keywordtype">void</span> GetSpeed(<a class="code" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3Df</a> &amp;speed) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;  <span class="keywordtype">void</span> ConstructorCommon(std::string name,<a class="code" href="classflair_1_1sensor_1_1_vrpn_client.html">sensor::VrpnClient</a> *client);</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_low_pass_filter.html">filter::LowPassFilter</a> *pbas;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_euler_derivative.html">filter::EulerDerivative</a> *euler;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot2_d.html">gui::DataPlot2D</a> *xy_plot;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *vx_opti_plot, *vy_opti_plot, *vz_opti_plot;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *plot_tab;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;};</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;} <span class="comment">// end namespace meta</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#endif // METAVRPNOBJECT_H</span></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_vrpn_object_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_vrpn_object.html">flair::sensor::VrpnObject</a></div><div class="ttdoc">Class for VRPN object. The IODevice is created with the VrpnClient as parent. VrpnClient must be crea...</div><div class="ttdef"><b>Definition:</b> VrpnObject.h:45</div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_d_html"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; float &gt;</a></div></div>
<div class="ttc" id="_vrpn_client_8h_html"><div class="ttname"><a href="_vrpn_client_8h.html">VrpnClient.h</a></div><div class="ttdoc">Class to connect to a Vrpn server. </div></div>
<div class="ttc" id="io__data_8h_html"><div class="ttname"><a href="io__data_8h.html">io_data.h</a></div><div class="ttdoc">Abstract class for data types. </div></div>
<div class="ttc" id="_vector3_d_8h_html"><div class="ttname"><a href="_vector3_d_8h.html">Vector3D.h</a></div><div class="ttdoc">Class defining a 3D vector. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_low_pass_filter_html"><div class="ttname"><a href="classflair_1_1filter_1_1_low_pass_filter.html">flair::filter::LowPassFilter</a></div><div class="ttdoc">Class defining a first order low pass filter. </div><div class="ttdef"><b>Definition:</b> LowPassFilter.h:36</div></div>
<div class="ttc" id="namespaceflair_1_1sensor_html_a96c531aa24e6dd95ac9dc400d8e52b2c"><div class="ttname"><a href="namespaceflair_1_1sensor.html#a96c531aa24e6dd95ac9dc400d8e52b2c">flair::sensor::GetVrpnClient</a></div><div class="ttdeci">VrpnClient * GetVrpnClient(void)</div><div class="ttdoc">get VrpnClient </div></div>
<div class="ttc" id="_vrpn_object_8h_html"><div class="ttname"><a href="_vrpn_object_8h.html">VrpnObject.h</a></div><div class="ttdoc">Class for VRPN object. </div></div>
<div class="ttc" id="classflair_1_1meta_1_1_meta_vrpn_object_html"><div class="ttname"><a href="classflair_1_1meta_1_1_meta_vrpn_object.html">flair::meta::MetaVrpnObject</a></div><div class="ttdoc">Classe haut niveau intégrant un objet VRPN. </div><div class="ttdef"><b>Definition:</b> MetaVrpnObject.h:42</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_vrpn_client_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_vrpn_client.html">flair::sensor::VrpnClient</a></div><div class="ttdoc">Class to connect to a Vrpn server. The Thread is created with the FrameworkManager as parent...</div><div class="ttdef"><b>Definition:</b> VrpnClient.h:40</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_euler_derivative_html"><div class="ttname"><a href="classflair_1_1filter_1_1_euler_derivative.html">flair::filter::EulerDerivative</a></div><div class="ttdoc">Class defining an euler derivative. </div><div class="ttdef"><b>Definition:</b> EulerDerivative.h:36</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot2_d_html"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot2_d.html">flair::gui::DataPlot2D</a></div><div class="ttdoc">Class displaying a 2D plot on the ground station. </div><div class="ttdef"><b>Definition:</b> DataPlot2D.h:34</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot1_d_html"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot1_d.html">flair::gui::DataPlot1D</a></div><div class="ttdoc">Class displaying a 1D plot on the ground station. </div><div class="ttdef"><b>Definition:</b> DataPlot1D.h:33</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab.html">flair::gui::Tab</a></div><div class="ttdoc">Class displaying a QTab on the ground station. </div><div class="ttdef"><b>Definition:</b> Tab.h:29</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_e44722efdb10e7ceda2dbbaecca58ed3.html">FlairMeta</a></li><li class="navelem"><a class="el" href="dir_ed462f49eec2f2c269d321a045b86103.html">src</a></li><li class="navelem"><a class="el" href="_meta_vrpn_object_8h.html">MetaVrpnObject.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
